Skip to content

Merchant Result Confirmation

  • Endpoint: POST /aggregate-pay/api/gateway/orderConfirm
  • Tags: Collection Service/BillPayment

Description

After the merchant receives the payment notification and performs internal credit processing, it will return the final credit result to PayerMax.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesAPI version. Current value: 1.0
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax
merchantAppIdstringYesmaxLength: 64Merchant AppId,The unique identifier assigned to the merchant app by PayerMax
dataobjectYes
data.tradeTokenstringYesmaxLength: 64PayerMax order id.
data.referenceNostringYesmaxLength: 64The merchant's order ID of a transaction.
data.amountnumberYesThe payment amount.
data.currencystringYesmaxLength: 3The payment currency.
data.confirmationstringYesmaxLength: 16The result of merchant's credit. Value: "Y" or "N".
data.failureReasonstringYesmaxLength: 255Reason for credit failure. Note: This field is required when confirmation is 'N'.

Example

json
{
  "version": "1.0",
  "keyVersion": "1",
  "requestTime": "2024-02-26T13:40:36.706Z",
  "merchantAppId": "bbd8d2639a7c4dfd8df7d00529123456",
  "merchantNo": "020110987531234",
  "data": {
    "referenceNo": "TEST100001",
    "tradeToken": "T20240131032780256123456",
    "amount": 40.85,
    "currency": "PHP",
    "confirmation": "Y",
    "failureReason": ""
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’
dataobjectNo
data.referenceNostringYesmaxLength: 64The merchant's order ID of a transaction.
data.tradeTokenstringYesmaxLength: 64PayerMax order id.

Response Example

json
{
  "code": "APPLY_SUCCESS",
  "msg": "Success.",
  "data": {
    "referenceNo": "PM00100001",
    "tradeToken": "T20240131032780256487268"
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.